<?php

require_once INTENSE_PLUGIN_FOLDER .  '/shortcodes/custom-post/custom-post-shortcode.php';

class Intense_Recipes extends Intense_Custom_Post {
	function __construct() {
		parent::__construct();

		$this->title = __( 'Recipes', 'intense' );
		$this->description = __( 'Show off your recipes with numerous different layouts. Use any of the templates provided for the Blog shortcode, or create your own templates.', 'intense' );
		$this->custom_post_type = 'intense_recipes';
		$this->taxonomy = 'intense_recipes_ingredients';		
	}

	function shortcode( $atts, $content = null ) {
		$atts["post_type"] = "intense_recipes";

		if ( empty( $atts["taxonomy"] ) ) $atts["taxonomy"] = "intense_recipes_ingredients";

		return parent::shortcode( $atts, $content );
	}
}